Upgrading from 0.6.8 to 0.6.9

classic Classic list List threaded Threaded
13 messages Options
Reply | Threaded
Open this post in threaded view
|

Upgrading from 0.6.8 to 0.6.9

Robert Klein
I upgraded from 0.6.8 to 0.6.9 and simply copied my OpenSim.ini along with the Regions files over to the new install directory. This of course did not work until I made an adjustment to the config-includes/StandaloneCommon.ini file to point to the MySQL database properly. What other files or changes do I need to be aware of or is this the only one? I am running a standalone on Ubuntu 9.10 using MySQL.

Thanks,

Robert
Reply | Threaded
Open this post in threaded view
|

Re: Upgrading from 0.6.8 to 0.6.9

Jor3l Boa
Regions/ folder?

2010/6/7 Robert Klein <[hidden email]>

I upgraded from 0.6.8 to 0.6.9 and simply copied my OpenSim.ini along with
the Regions files over to the new install directory. This of course did not
work until I made an adjustment to the config-includes/StandaloneCommon.ini
file to point to the MySQL database properly. What other files or changes do
I need to be aware of or is this the only one? I am running a standalone on
Ubuntu 9.10 using MySQL.

Thanks,

Robert
--
View this message in context: http://opensim-users.2152040.n2.nabble.com/Upgrading-from-0-6-8-to-0-6-9-tp5149155p5149155.html
Sent from the opensim-users mailing list archive at Nabble.com.
_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users


_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Upgrading from 0.6.8 to 0.6.9

justincc
In reply to this post by Robert Klein
On 07/06/10 15:08, Robert Klein wrote:
>
> I upgraded from 0.6.8 to 0.6.9 and simply copied my OpenSim.ini along with
> the Regions files over to the new install directory. This of course did not
> work until I made an adjustment to the config-includes/StandaloneCommon.ini
> file to point to the MySQL database properly. What other files or changes do
> I need to be aware of or is this the only one? I am running a standalone on
> Ubuntu 9.10 using MySQL.

That should be it, though I believe you could have just copied over StandaloneCommon.ini as well as OpenSim.ini

--
Justin Clark-Casey (justincc)
http://justincc.org
http://twitter.com/justincc
_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Upgrading from 0.6.8 to 0.6.9

Robert Klein
I wasn't even aware of the config-includes directory before now. Granted, I moved my server from 0.6.2, 0.6.3, 0.6.4, 0.6.6, 0.6.8, and 0.6.9 over the last couple of months and only focused on the OpenSim.ini and Regions files. I was under the impression OpenSim.ini was the main controlling mechanism for the simulator configuration. Is that still the case?

Thanks,

-Robert
Reply | Threaded
Open this post in threaded view
|

Re: Upgrading from 0.6.8 to 0.6.9

Jor3l Boa
lol didnt read that you copied the regions folder sorry. I suggest to set up the OpenSim.ini again (that gave me problems when I upgrade to .9), try that and see if works again

2010/6/8 Robert Klein <[hidden email]>

I wasn't even aware of the config-includes directory before now. Granted, I
moved my server from 0.6.2, 0.6.3, 0.6.4, 0.6.6, 0.6.8, and 0.6.9 over the
last couple of months and only focused on the OpenSim.ini and Regions files.
I was under the impression OpenSim.ini was the main controlling mechanism
for the simulator configuration. Is that still the case?

Thanks,

-Robert
--
View this message in context: http://opensim-users.2152040.n2.nabble.com/Upgrading-from-0-6-8-to-0-6-9-tp5149155p5153715.html
Sent from the opensim-users mailing list archive at Nabble.com.
_______________________________________________


_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Upgrading from 0.6.8 to 0.6.9

justincc
In reply to this post by Robert Klein
On 08/06/10 15:29, Robert Klein wrote:
>
> I wasn't even aware of the config-includes directory before now. Granted, I
> moved my server from 0.6.2, 0.6.3, 0.6.4, 0.6.6, 0.6.8, and 0.6.9 over the
> last couple of months and only focused on the OpenSim.ini and Regions files.
> I was under the impression OpenSim.ini was the main controlling mechanism
> for the simulator configuration. Is that still the case?

That's still the case for the simulation itself, but config-include is becoming the place for all service configuration.  This includes standalone, where services such as friends, inventory, assets, etc. reference local databases and grid, where services are configured with code that connects to remote urls.

--
Justin Clark-Casey (justincc)
http://justincc.org
http://twitter.com/justincc
_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Upgrading from 0.6.8 to 0.6.9

Karen Palen
You should also be aware that there are parameters that once "set" cannot be "unset" in the config-include.

This produces subtle and inconsistent problems which I am busy trying to quantify well enough to be reproducible for a Mantis report!

View this as a "pre-mantis" "heads up" ;-) (Is that enough vagueness?)

For consistency my "base" version is the latest Diva distro BTW.

My HOPE is that others are also seeing enough of this to provide a few clues about what is really happening!

Karen

On Tue, Jun 8, 2010 at 3:07 PM, Justin Clark-Casey <[hidden email]> wrote:
On 08/06/10 15:29, Robert Klein wrote:

I wasn't even aware of the config-includes directory before now. Granted, I
moved my server from 0.6.2, 0.6.3, 0.6.4, 0.6.6, 0.6.8, and 0.6.9 over the
last couple of months and only focused on the OpenSim.ini and Regions files.
I was under the impression OpenSim.ini was the main controlling mechanism
for the simulator configuration. Is that still the case?

That's still the case for the simulation itself, but config-include is becoming the place for all service configuration.  This includes standalone, where services such as friends, inventory, assets, etc. reference local databases and grid, where services are configured with code that connects to remote urls.


--
Justin Clark-Casey (justincc)
http://justincc.org
http://twitter.com/justincc
_______________________________________________


_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Upgrading from 0.6.8 to 0.6.9

Robert Klein
Could I have gotten away with not changing anything in the config-include directory? When I ran the simulator it threw an error which told me to change the StandaloneCommon.ini so I did and well it all works now. I would have been perfectly happy living totally in my little OpenSim.ini world. :)

-Robert
Reply | Threaded
Open this post in threaded view
|

Re: Upgrading from 0.6.8 to 0.6.9

justincc
On 09/06/10 04:31, Robert Klein wrote:
>
> Could I have gotten away with not changing anything in the config-include
> directory? When I ran the simulator it threw an error which told me to
> change the StandaloneCommon.ini so I did and well it all works now. I would
> have been perfectly happy living totally in my little OpenSim.ini world. :)

In principle, you could probably just have copied over the 0.6.8 StandaloneCommon.ini.  But this won't be true for 0.7.

--
Justin Clark-Casey (justincc)
http://justincc.org
http://twitter.com/justincc
_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Upgrading from 0.6.8 to 0.6.9

Robert Klein
Really? Well for future reference (and ease of migration), what are we going to need to be aware of for going from 0.6.9 to 0.7?

-Robert
Reply | Threaded
Open this post in threaded view
|

Re: Upgrading from 0.6.8 to 0.6.9

Master_Mirage
This post has NOT been accepted by the mailing list yet.
Robert Klein wrote
Really? Well for future reference (and ease of migration), what are we going to need to be aware of for going from 0.6.9 to 0.7?

-Robert
.7 .8 .9xx are a totaly differnt critters, your going to have to make new ini sets and tends to have a bit of a NEW learning curve to it. In ways its a bit easyer as you dont have to deal with somany services and .xml settings. All thats in ROBUST.ini so you just need to deal with basicly 4 files. Opensim.ini,Grid common.ini,robust.ini,flotsum mabey. (if your running a full grid service).

About all you can reuse from .69 will be your data base server and regions.ini. Past that its better to make a new set.
 
Id add in ppl should allways use a clean folder and fresh files when changing rev.. As far as changes to any ini's between rev's i use notepad++ file compaire featuer so im shure anything i might carry over matches the newer example. If theres alot of differances then its prob better to fill out new ones.
Sometimes just copying stuff to a new rev can lead to alot of problems and specialy if there not making a clean folder and just downloading a new rev to the older one. This tends to leave old .dll's or other files that can make the new rev have a brain fart....


Our New Web Page
Http://www.TritonGrid.com
Reply | Threaded
Open this post in threaded view
|

Re: Upgrading from 0.6.8 to 0.6.9

justincc
In reply to this post by Robert Klein
On 10/06/10 01:29, Robert Klein wrote:
>
> Really? Well for future reference (and ease of migration), what are we going
> to need to be aware of for going from 0.6.9 to 0.7?

There's some information on http://opensimulator.org/wiki/0.7_Planning.

Essentially, there have been some significant changes to the underlying user related data schemas.  I believe that people just using OpenSim should see an automatic migration as usual.  People using projects that interact directly with the database (e.g. web-based user registration frontends will need to have a migration plan for upgrading these).

I'm sure there will be some documentation on required changes nearer the time, which I imagine will consist mainly of using ROBUST for user and messaging services instead of the legacy OpenSim.Grid.UserServer.exe and MessagingServer.exe

--
Justin Clark-Casey (justincc)
http://justincc.org
http://twitter.com/justincc
_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Upgrading from 0.6.8 to 0.6.9

Robert Klein
Hey Justin, thanks for the link to the planning page. It would be nice if there was a section on "If you did it this way in 0.6.8 then you will do it this way in 0.6.9 or 0.7" so people do not have to reinvent the wheel every time they want to upgrade. This would encourage "best practices" and would result in less questions too, plus people may be more willing to upgrade if they know what to expect.

-Robert